The BOOST_PP_TUPLE_TO_SEQ macro converts a tuple to an seq.

#### Usage

BOOST_PP_TUPLE_TO_SEQ(size, tuple)
or
BOOST_PP_TUPLE_TO_SEQ(...) (v)

#### Arguments

size
  The size of the tuple to be converted. Valid tuple sizes range from 1 to BOOST_PP_LIMIT_TUPLE.
tuple
  The tuple to be converted.

#### Remarks

The size argument must be the actual size of the tuple.
You can invoke the variadic version (v) as BOOST_PP_TUPLE_TO_SEQ(tuple) or BOOST_PP_TUPLE_TO_SEQ(size,tuple).

#### Requirements

Header: <boost/preprocessor/tuple/to_seq.hpp>

#### Sample Code

    #include <boost/preprocessor/tuple/to_seq.hpp>

    BOOST_PP_TUPLE_TO_SEQ(3, (a, b, c)) // expands to (a)(b)(c)

    // or for the variadic version (v)

    BOOST_PP_TUPLE_TO_SEQ((a, b, c)) // expands to (a)(b)(c)

© Copyright Housemarque Oy 2002
© Copyright Paul Mensonides 2002
© Copyright Edward Diener 2011,2013

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)